Bug 620287 - [abrt] crash in pybliographer-1.2.12-5.fc13: Editor.py:639:menu_select:AttributeError: 'gtk.ComboBox' object has no attribute 'set_history'
[abrt] crash in pybliographer-1.2.12-5.fc13: Editor.py:639:menu_select:Attrib...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pybliographer (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Zoltan Kota
Fedora Extras Quality Assurance
abrt_hash:73e2ea37
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 21:18 EDT by Bernardo Barros
Modified: 2011-06-06 07:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 07:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1016 bytes, text/plain)
2010-08-01 21:18 EDT, Bernardo Barros
no flags Details

  None (edit)
Description Bernardo Barros 2010-08-01 21:18:11 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pybliographer --quiet /usr/share/pybliographer/pybliographic.py
component: pybliographer
executable: /usr/bin/pybliographer
kernel: 2.6.33.6-147.fc13.x86_64
package: pybliographer-1.2.12-5.fc13
reason: Editor.py:639:menu_select:AttributeError: 'gtk.ComboBox' object has no attribute 'set_history'
release: Fedora release 13 (Goddard)

backtrace
-----
Editor.py:639:menu_select:AttributeError: 'gtk.ComboBox' object has no attribute 'set_history'

Traceback (most recent call last):
  File "/usr/share/pybliographer/Pyblio/GnomeUI/Editor.py", line 639, in menu_select
    self.menu.set_history (entry_list.index (self.entry.type))
AttributeError: 'gtk.ComboBox' object has no attribute 'set_history'

Local variables in innermost frame:
idx: <GtkTreeIter at 0x25d5440>
menu: <gtk.ComboBox object at 0x24aee60 (GtkComboBox at 0x252a340)>
self: <Pyblio.GnomeUI.Editor.RealEditor instance at 0x24abfc8>
entry_list: [EntryDescription ('Article'), EntryDescription ('Book'), EntryDescription ('Booklet'), EntryDescription ('InBook'), EntryDescription ('InCollection'), EntryDescription ('InProceedings'), EntryDescription ('Manual'), EntryDescription ('MastersThesis'), EntryDescription ('Misc'), EntryDescription ('PhdThesis'), EntryDescription ('Proceedings'), EntryDescription ('TechReport'), EntryDescription ('Unpublished')]
entry: EntryDescription ('Misc')
new: None

How to reproduce
-----
1. Change from Article to Misc
2.
3.
Comment 1 Bernardo Barros 2010-08-01 21:18:14 EDT
Created attachment 435939 [details]
File: backtrace
Comment 2 Zoltan Kota 2010-08-12 15:50:45 EDT
Hm, I couldn't reproduce the error on F13 i686. Could you please give the steps to reproduce the crash in detail? From starting pybliographer.
Thanks!
Comment 3 Bug Zapper 2011-06-01 08:18:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.